/*Обнулення*/

*,
*::before,
*:after {
    padding: 0;
    margin: 0;
    border: 0;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
}


/*Стилі для демонстрації*/

body {
    background-color: #000;
}

.wrapper {
    width: 100%;
    min-height: 100%;
    height: 100%;
    overflow: hidden;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    justify-content: center;
    align-items: center;
}


/*Основні стилі*/

.wave-btn {
    width: 280px;
    min-height: 60px;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    transition: all 0.3s ease 0s;
    justify-content: center;
    align-items: center;
    border-radius: 0 0 10px 10px;
    text-decoration: none;
    position: relative;
    overflow: hidden;
}

.wave-btn:hover {
    border-radius: 10px;
    transition: all 0.8s ease 0.2s;
    box-shadow: 0 0 40px rgba(73, 115, 255, 0.6);
}

.wave-btn:hover .wave-btn__waves {
    top: -50px;
}

.wave-btn__text {
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 8px;
    font-family: Arial, Helvetica, sans-serif;
    position: relative;
    z-index: 1;
}

.wave-btn__waves {
    position: absolute;
    width: 280px;
    height: 280px;
    background-color: #4973ff;
    top: 0;
    left: 0;
    box-shadow: inset 0 0 50px rgba(0, 0, 0, 0.5);
    transition: all 0.8s ease 0s;
}

.wave-btn__waves::after,
.wave-btn__waves::before {
    content: '';
    position: absolute;
    top: 0;
    left: 50%;
    width: 250%;
    height: 250%;
    transform: translate3d(-50%, -96%, 0) rotate(0deg) scale(1);
}

.wave-btn__waves::before {
    background-color: #000;
    border-radius: 48%;
    animation: waves 5s infinite linear;
}

.wave-btn__waves::after {
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 44%;
    animation: waves 10s infinite linear;
}

@keyframes waves {
    0% {
        transform: translate3d(-50%, -96%, 0) rotate(0deg) scale(1);
    }
    100% {
        transform: translate3d(-50%, -96%, 0) rotate(360deg) scale(1);
    }
}